[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFieldKinds

Set of TFieldKind values

## Declaration

Source position: db.pas line 229

`type TFieldKinds = set of (`
`fkData,` |  | Field represents actual data in the underlying data structure.
`fkCalculated,` |  | The field is calculated on the fly.
`fkLookup,` |  | The field is a lookup field.
`fkInternalCalc` |  | Field is calculated but stored in an underlying buffer.
`);`

## Description

TFieldKinds is a set of TFieldKind values. It is used internally by the classes of the DB unit.

## See also

TFieldKind |  | Kind of field

Documentation generated on: Feb 26 2014